# OpalMediaPatch::Sink Class Reference

`#include <patch.h>`

Collaboration diagram for OpalMediaPatch::Sink:

[legend]

## Public Member Functions

| Sink (OpalMediaPatch &p, const OpalMediaStreamPtr &s)
| ~Sink ()
bool | CreateTranscoders ()
bool | UpdateMediaFormat (const OpalMediaFormat &mediaFormat)
bool | ExecuteCommand (const OpalMediaCommand &command)
bool | WriteFrame (RTP_DataFrame &sourceFrame)
void | GetStatistics (OpalMediaStatistics &statistics, bool fromSource) const
bool | CannotTranscodeFrame (OpalTranscoder &codec, RTP_DataFrame &frame)
void | SetRateControlParameters (const OpalMediaFormat &mediaFormat)
bool | RateControlExceeded (bool &forceIFrame)

## Data Fields

OpalMediaPatch & | patch
OpalMediaStreamPtr | stream
OpalTranscoder * | primaryCodec
OpalTranscoder * | secondaryCodec
RTP_DataFrameList | intermediateFrames
RTP_DataFrameList | finalFrames
bool | writeSuccessful
RTP_DataFrame::PayloadTypes | m_lastPayloadType
unsigned | m_consecutivePayloadTypeMismatches
OpalVideoRateController * | rateController

## Constructor & Destructor Documentation

OpalMediaPatch::Sink::Sink | ( | OpalMediaPatch & | p,
|  | const OpalMediaStreamPtr & | s |
| ) |  |  |

OpalMediaPatch::Sink::~Sink | ( |  | ) |

## Member Function Documentation

bool OpalMediaPatch::Sink::CannotTranscodeFrame | ( | OpalTranscoder & | codec,
|  | RTP_DataFrame & | frame |
| ) |  |  |

bool OpalMediaPatch::Sink::CreateTranscoders | ( |  | ) |

bool OpalMediaPatch::Sink::ExecuteCommand | ( | const OpalMediaCommand & | command | ) |

void OpalMediaPatch::Sink::GetStatistics | ( | OpalMediaStatistics & | statistics,
|  | bool | fromSource |
| ) |  |  | const

bool OpalMediaPatch::Sink::RateControlExceeded | ( | bool & | forceIFrame | ) |

void OpalMediaPatch::Sink::SetRateControlParameters | ( | const OpalMediaFormat & | mediaFormat | ) |

bool OpalMediaPatch::Sink::UpdateMediaFormat | ( | const OpalMediaFormat & | mediaFormat | ) |

bool OpalMediaPatch::Sink::WriteFrame | ( | RTP_DataFrame & | sourceFrame | ) |

## Field Documentation

RTP_DataFrameList OpalMediaPatch::Sink::finalFrames

RTP_DataFrameList OpalMediaPatch::Sink::intermediateFrames

unsigned OpalMediaPatch::Sink::m_consecutivePayloadTypeMismatches

RTP_DataFrame::PayloadTypes OpalMediaPatch::Sink::m_lastPayloadType

OpalMediaPatch& OpalMediaPatch::Sink::patch

OpalTranscoder* OpalMediaPatch::Sink::primaryCodec

OpalVideoRateController* OpalMediaPatch::Sink::rateController

OpalTranscoder* OpalMediaPatch::Sink::secondaryCodec

OpalMediaStreamPtr OpalMediaPatch::Sink::stream

bool OpalMediaPatch::Sink::writeSuccessful

The documentation for this class was generated from the following file:

- patch.h